Merge image_comment_temp table into the image table
Closed, ResolvedPublic

Description

The image_comment_temp table was created to temporarily hold the new fields needed for T166732: Refactor comment storage in the database and abstract access in MediaWiki so it wouldn't have to be held up waiting for an expensive schema change on Commons' image table. The plan was always to eventually merge it into the image table once we had time to do that schema change.

Thanks to T187089, that image schema change is happening sooner than we had thought.

The rough plan here is:

  • Write (and merge) the patch to add the img_descrption_id field to the image table, and the maintenance code to migrate data from image_comment_temp to image, and the changes to CommentStore to
  • Actually perform the schema change on WMF sites (already in progress, see T187089)
  • Configuration changes to start writing img_description_id.
  • Run the maintenance.
  • Write (and merge) the patch to drop the image_comment_temp table and the code in CommentStore for using it.
Anomie created this task.Feb 23 2018, 7:33 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 23 2018, 7:33 PM

Change 417039 had a related patch set uploaded (by Anomie; owner: Anomie):
[mediawiki/core@master] DB: Add img_description_id column

https://gerrit.wikimedia.org/r/417039

Change 417040 had a related patch set uploaded (by Anomie; owner: Anomie):
[mediawiki/core@master] Migrate image descriptions from image_comment_temp

https://gerrit.wikimedia.org/r/417040

Change 417041 had a related patch set uploaded (by Anomie; owner: Anomie):
[mediawiki/core@master] Drop the image_comment_temp table

https://gerrit.wikimedia.org/r/417041

Change 417039 merged by jenkins-bot:
[mediawiki/core@master] DB: Add img_description_id column

https://gerrit.wikimedia.org/r/417039

Krinkle moved this task from Backlog to Schema on the MediaWiki-Database board.Apr 10 2018, 3:42 PM

Change 417040 merged by jenkins-bot:
[mediawiki/core@master] Migrate image descriptions from image_comment_temp

https://gerrit.wikimedia.org/r/417040

Anomie updated the task description. (Show Details)

Mentioned in SAL (#wikimedia-operations) [2018-10-30T15:16:33Z] <anomie> Running migrateImageCommentTemp.php on test wikis and mediawikiwiki for T188132

Mentioned in SAL (#wikimedia-operations) [2018-10-31T14:22:41Z] <anomie@mwmaint1002> Running migrateImageCommentTemp.php on group0 for T188132

Mentioned in SAL (#wikimedia-operations) [2018-11-01T13:35:31Z] <anomie@mwmaint1002> Running migrateImageCommentTemp.php on section 1 wikis for T188132

Mentioned in SAL (#wikimedia-operations) [2018-11-01T13:36:05Z] <anomie@mwmaint1002> Running migrateImageCommentTemp.php on section 2 wikis for T188132

Mentioned in SAL (#wikimedia-operations) [2018-11-01T13:36:19Z] <anomie@mwmaint1002> Running migrateImageCommentTemp.php on remaining section 3 wikis for T188132

Mentioned in SAL (#wikimedia-operations) [2018-11-01T13:36:33Z] <anomie@mwmaint1002> Running migrateImageCommentTemp.php on section 4 wikis for T188132

Mentioned in SAL (#wikimedia-operations) [2018-11-01T13:36:43Z] <anomie@mwmaint1002> Running migrateImageCommentTemp.php on section 5 wikis for T188132

Mentioned in SAL (#wikimedia-operations) [2018-11-01T13:37:04Z] <anomie@mwmaint1002> Running migrateImageCommentTemp.php on section 6 wikis for T188132

Mentioned in SAL (#wikimedia-operations) [2018-11-01T13:37:16Z] <anomie@mwmaint1002> Running migrateImageCommentTemp.php on section 7 wikis for T188132

Mentioned in SAL (#wikimedia-operations) [2018-11-01T13:37:25Z] <anomie@mwmaint1002> Running migrateImageCommentTemp.php on section 8 wikis for T188132

Mentioned in SAL (#wikimedia-operations) [2018-11-01T13:37:42Z] <anomie@mwmaint1002> Running migrateImageCommentTemp.php on wikitech for T188132

Anomie updated the task description. (Show Details)Nov 1 2018, 4:09 PM
Anomie updated the task description. (Show Details)
Anomie updated the task description. (Show Details)Nov 14 2018, 8:10 PM

Change 417041 merged by jenkins-bot:
[mediawiki/core@master] Drop the image_comment_temp table

https://gerrit.wikimedia.org/r/417041

Anomie updated the task description. (Show Details)Thu, Nov 15, 2:37 PM
Anomie closed this task as Resolved.

I'm going to file the schema change as a separate task, but not keep this one open waiting on it.

Change 473776 had a related patch set uploaded (by Jforrester; owner: Anomie):
[mediawiki/core@REL1_32] Drop the image_comment_temp table

https://gerrit.wikimedia.org/r/473776

Change 473776 merged by jenkins-bot:
[mediawiki/core@REL1_32] Drop the image_comment_temp table

https://gerrit.wikimedia.org/r/473776

Anomie changed the status of subtask T209591: Drop table image_comment_temp on all wikis from Stalled to Open.Mon, Dec 3, 2:56 PM